/*
 * 文 件 名:  ElecUseSta
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2024/10/10
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.model;

import java.util.List;

/**
 * 用电量统计
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2024/10/10]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class ElecUseSta {
    /**
     * 对象代码
     */
    private String objCode;

    /**
     * 对象名称
     */
    private String objName;

    /**
     * 用电量
     */
    private Double elecQuantity;

    /**
     * 用电分项
     */
    private List<ElecUseSta> subentry;

    public String getObjCode() {
        return objCode;
    }

    public void setObjCode(String objCode) {
        this.objCode = objCode;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public Double getElecQuantity() {
        return elecQuantity;
    }

    public void setElecQuantity(Double elecQuantity) {
        this.elecQuantity = elecQuantity;
    }

    public List<ElecUseSta> getSubentry() {
        return subentry;
    }

    public void setSubentry(List<ElecUseSta> subentry) {
        this.subentry = subentry;
    }
}